SolrPing (Solr 3.6.2 API)
Keywords: org.apache.solr.client.solrj.request.SolrPing class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.client.solrj.request
Class SolrPing

    java.lang.Object
      org.apache.solr.client.solrj.SolrRequest
          org.apache.solr.client.solrj.request.SolrPing

All Implemented Interfaces:
  Serializable

    public class SolrPing

extends SolrRequest

Since:
  solr 1.3
Version:
  $Id: SolrPing.java 679649 2008-07-25 03:18:24Z ryan $
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest
`SolrRequest.METHOD`

Constructor Summary
`SolrPing()`

Method Summary
`Collection<ContentStream>` | `getContentStreams()`
`ModifiableSolrParams` | `getParams()`
`SolrPingResponse` | `process(SolrServer server)`

Methods inherited from class org.apache.solr.client.solrj.SolrRequest
`getMethod, getPath, getResponseParser, setMethod, setPath, setResponseParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolrPing

    public SolrPing()

Method Detail

### getContentStreams

    public Collection<ContentStream> getContentStreams()

  Specified by:
    `getContentStreams` in class `SolrRequest`

### getParams

    public ModifiableSolrParams getParams()

  Specified by:
    `getParams` in class `SolrRequest`

### process

    public SolrPingResponse process(SolrServer server)
                             throws SolrServerException,
                                    IOException

  Specified by:
    `process` in class `SolrRequest`
  Throws:
    `SolrServerException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD